Summary: 	Shoot 'em up game with 3D graphics
Name:		powermanga
Version:	0.93.1
Release:	%mkrel 1
License:	GPLv3+
Group:		Games/Shooter
URL:		http://linux.tlk.fr/games/Powermanga/
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.tgz
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png

BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libpng)
Requires(post):		rpm-helper

%description
In this "shoot 'em up" with 3d graphics, you'll have to face and destroy
more than 60 different types of opponents. Nice musics, many weapons, and
a ton of surprises.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure2_5x
%make_build

%install
%make_install

install -d install %{buildroot}%{_gamesdatadir}/%{name}/texts
install -m 644 texts/*.txt texts/*.ini %{buildroot}%{_gamesdatadir}/%{name}/texts

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=PowerManga
GenericName=Shoot 'em up
Comment=Shoot 'em up game with 3D graphics
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%post
#hi scores are now in a proper dir we recover previous one if they exist
for i in hi hi-easy hi-hard ; do
  if [ -f %{_localstatedir}/lib/games/%{name}.$i ] ; then
    mv %{_localstatedir}/lib/games/%{name}.$i %{_localstatedir}/games/%{name}/%{name}.$i
  fi
done

%files
%doc README
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/%{name}.6*
%{_mandir}/fr/man6/%{name}.6*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%attr(755, root, games) %dir %{_localstatedir}/games/%{name}
%attr(664, root, games) %config(noreplace) %{_localstatedir}/games/%{name}/%{name}.hi
%attr(664, root, games) %config(noreplace) %{_localstatedir}/games/%{name}/%{name}.hi-easy
%attr(664, root, games) %config(noreplace) %{_localstatedir}/games/%{name}/%{name}.hi-hard


%changelog
* Fri Jan 15 2016 akien <akien> 0.93.1-1.mga6
+ Revision: 923241
- Version 0.93.1

* Wed Nov 11 2015 daviddavid <daviddavid> 0.93-4.mga6
+ Revision: 902452
- add upstream patch to fix build with gcc5
  * see: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=778072

* Fri Oct 24 2014 akien <akien> 0.93-3.mga5
+ Revision: 792942
- Fix binary permissions

* Wed Oct 15 2014 umeabot <umeabot> 0.93-2.mga5
+ Revision: 743746
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 akien <akien> 0.93-1.mga5
+ Revision: 721966
- Version 0.93

* Tue Sep 16 2014 umeabot <umeabot> 0.92-2.mga5
+ Revision: 687750
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 akien <akien> 0.92-1.mga5
+ Revision: 669035
- Version 0.92

* Sat Oct 19 2013 umeabot <umeabot> 0.91-5.mga4
+ Revision: 526209
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.91-4.mga4
+ Revision: 436057
- rebuild for new libpng

* Sat Mar 16 2013 zezinho <zezinho> 0.91-3.mga3
+ Revision: 403493
- fix hiscore move script

* Sun Feb 17 2013 zezinho <zezinho> 0.91-2.mga3
+ Revision: 398855
- upstream patch to allow sprite export

* Sun Feb 03 2013 zezinho <zezinho> 0.91-1.mga3
+ Revision: 394276
- fix BR and hi score path according to LSB
- new version

* Sun Jan 13 2013 umeabot <umeabot> 0.90-13.mga3
+ Revision: 378135
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 0.90-12.mga3
+ Revision: 343812
- add patch for automake-1.13
- updated RPM groups

* Tue Dec 25 2012 wally <wally> 0.90-11.mga3
+ Revision: 334989
- add patch to fix linking
- clean .spec

* Tue Apr 26 2011 wally <wally> 0.90-10.mga1
+ Revision: 91815
- fix desktop file name (mga#954)
- fix exec line in desktop file
- drop buildroot definition

* Wed Mar 09 2011 nanardon <nanardon> 0.90-9.mga1
+ Revision: 66799
- old mdv cleanup
- imported package powermanga

